update hydra at kali linux

Hello,

i tried to update the version of hydra at kali linux. how can i perform this step by step?

Best regards,

shaybuz.

1 Like

To update  Kali Linux and the applications provided within the operating-system, you can type this in a terminal:

apt-get update && apt-get upgrade

^this should get a list of available updates and then upgrade the system to those updates.

Hope this helps!

1 Like

Hello Gisgra3,

take a look about this:

root@kali:~# hydra -l shiran4489@gmail.com -p /root/Desktop/pass.txt -S -v -V -t 1 imap.gmail.com imap
Hydra v8.8 © 2019 by van Hauser/THC - Please do not use in military or secret service organizations, or for illegal purposes.

Hydra (https://github.com/vanhauser-thc/thc-hydra) starting at 2019-05-14 18:05:10
[WARNING] you want to access SMTP/POP3/IMAP with SSL. Are you sure you want to use direct SSL (-S) instead of STARTTLS (-m TLS)?
[INFO] several providers have implemented cracking protection, check with a small wordlist first - and stay legal!
[WARNING] Google Mail has bruteforce detection and sends false positives. You are not doing anything illegal right?!
[DATA] max 1 task per 1 server, overall 1 task, 1 login try (l:1/p:1), ~1 try per task
[DATA] attacking imaps://imap.gmail.com:993/
[VERBOSE] Resolving addresses … [VERBOSE] resolving done
[ATTEMPT] target imap.gmail.com - login “shiran4489@gmail.com” - pass “/root/Desktop/pass.txt” - 1 of 1 [child 0] (0/0)
[VERBOSE] CAPABILITY: * CAPABILITY IMAP4rev1 UNSELECT IDLE NAMESPACE QUOTA ID XLIST CHILDREN X-GM-EXT-1 XYZZY SASL-IR AUTH=XOAUTH2 AUTH=PLAIN AUTH=PLAIN-CLIENTTOKEN AUTH=OAUTHBEARER AUTH=XOAUTH
1 OK Thats all she wrote! v2mb106748948wrq
[VERBOSE] using IMAP PLAIN AUTH mechanism
[ERROR] 2 NO [AUTHENTICATIONFAILED] Invalid credentials (Failure)

[STATUS] attack finished for imap.gmail.com (waiting for children to complete tests)
1 of 1 target completed, 0 valid passwords found
Hydra (https://github.com/vanhauser-thc/thc-hydra) finished at 2019-05-14 18:05:12

as u see, the kali direct you to update the version of Hydra throw github. so r u sure about the command u wrote me?

1 Like

Hello again,

for your own, i did what u told me and this was the result:

root@kali:~# apt-get update && apt-get upgrade
Ign:2 https://apt.syncthing.net syncthing InRelease
Ign:3 https://deb.torproject.org/torproject.org stretch InRelease
Err:4 https://apt.syncthing.net syncthing Release
Certificate verification failed: The certificate is NOT trusted. The certificate issuer is unknown. Could not handshake: Error in the certificate verification. [IP: 82.196.13.137 443]
Err:5 https://deb.torproject.org/torproject.org stretch Release
Certificate verification failed: The certificate is NOT trusted. The certificate issuer is unknown. Could not handshake: Error in the certificate verification. [IP: 95.216.163.36 443]
Get:1 http://kali.download/kali kali-rolling InRelease [30.5 kB]
Get:6 http://kali.download/kali kali-rolling/main amd64 Packages [17.1 MB]
Reading package lists… Done
E: The repository ‘https://apt.syncthing.net syncthing Release’ does not have a Release file.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository ‘https://deb.torproject.org/torproject.org stretch Release’ does not have a Release file.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

kali hard to find a secure repository. i dont know how to find it and set the secure repository as defult. 

i will glad for your help about that =]

1 Like

Do you know which version of  Kali Linux you’re running? Could be a versioning problem that is causing all of these problems to occur, even ones that prevent you from updating the software itself.

yes, the version i runing is 6.0.6. it’s the latest one, no?

1 Like

If this version is equal to their March 4th release, then you’re update to the latest version. I would verify that you have the latest version from their site and see if that fixes anything. Hope it all works!